Subject: Re: [RFC] "indirect" DCR access (40x, BookE)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 19 Mar 2004 15:00:53 +1100

On Sat, 2004-03-13 at 01:25, Kumar Gala wrote:
> Look in u-boot.  They have some user commands that allow
> reading/writing dcr's.  These commands are written with self modifying
> code, I would recommend that we reuse that.
>
> Also, it begs the question of should this be extended to SPRs, not that
> I have come across a case with SPRs that I need to iterate over a large
> list.

That would way too slow for DCRs used in drivers for example,

I much prefer Eugene's idea.

Ben.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/